Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.base
Class JRBaseCrosstabParameter

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseParameter
          net.sf.jasperreports.crosstabs.base.JRBaseCrosstabParameter

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCrosstabParameter, JRChangeEventsSupport, JRCloneable, JRDatasetParameter, JRParameter, JRPropertiesHolder

    public class JRBaseCrosstabParameter

extends JRBaseParameter
implements JRCrosstabParameter

Base read-only implementation of crosstab parameters.

Version:
  $Id: JRBaseCrosstabParameter.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRExpression` | `valueExpression`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseParameter
`defaultValueExpression, description, isForPrompting, isSystemDefined, name, nestedType, nestedTypeName, propertiesMap, PROPERTY_DESCRIPTION, valueClass, valueClassName, valueClassRealName`

Fields inherited from interface net.sf.jasperreports.engine.JRParameter
`IS_IGNORE_PAGINATION, JASPER_REPORT, REPORT_CLASS_LOADER, REPORT_CONNECTION, REPORT_DATA_SOURCE, REPORT_FILE_RESOLVER, REPORT_FORMAT_FACTORY, REPORT_LOCALE, REPORT_MAX_COUNT, REPORT_PARAMETERS_MAP, REPORT_RESOURCE_BUNDLE, REPORT_SCRIPTLET, REPORT_TEMPLATES, REPORT_TIME_ZONE, REPORT_URL_HANDLER_FACTORY, REPORT_VIRTUALIZER, SORT_FIELDS`

Constructor Summary
`protected` | `JRBaseCrosstabParameter()`
`` | `JRBaseCrosstabParameter(JRCrosstabParameter parameter, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`JRExpression` | `getExpression()` Returns the value expression.

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseParameter
`getDefaultValueExpression, getDescription, getEventSupport, getName, getNestedType, getNestedTypeName, getParentProperties, getPropertiesMap, getValueClass, getValueClassName, hasProperties, isForPrompting, isSystemDefined, setDescription`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRParameter
`getDefaultValueExpression, getDescription, getName, getNestedType, getNestedTypeName, getValueClass, getValueClassName, isForPrompting, isSystemDefined, setDescription`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRDatasetParameter
`getName`

Field Detail

### valueExpression

    protected JRExpression valueExpression

Constructor Detail

### JRBaseCrosstabParameter

    protected JRBaseCrosstabParameter()

### JRBaseCrosstabParameter

    public JRBaseCrosstabParameter(JRCrosstabParameter parameter,
                                   JRBaseObjectFactory factory)

Method Detail

### getExpression

    public JRExpression getExpression()

  Description copied from interface: `JRDatasetParameter`
  Returns the value expression.

  Specified by:
    `getExpression` in interface `JRDatasetParameter`
  Returns:
    the value expression

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `JRBaseParameter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com